Puppet4 support: noop tests fixes

* Disable STRICT_VARIABLE checks.
* Switch to the Puppet version 4.5.0
* Disable Noop tests for Puppet4
  they should be moved to a separate job

Related-Bug: 1586480
Change-Id: Ib540dc243647fffeb4b2d101f9f902b9e4c1c104
This commit is contained in:
Dmitry Ilyin 2016-08-31 17:59:15 -05:00
parent 32e516b9a1
commit 24048bc2f5
3 changed files with 8 additions and 18 deletions

View File

@ -2,18 +2,4 @@
DIR=`dirname $0`
cd $DIR || exit 1
../../tests/noop/setup_and_diagnostics.sh $@
if [ $? -gt 0 ]; then
echo "Noop tests setup have failed!"
exit 1
fi
./fuel_noop_tests_3.8.7.sh
if [ $? -gt 0 ]; then
echo "Noop tests for Puppet 3.8.7 have failed!"
exit 1
fi
./fuel_noop_tests_4.6.0.sh
if [ $? -gt 0 ]; then
echo "Noop tests for Puppet 4.6.0 have failed!"
exit 1
fi
./fuel_noop_tests3.sh

View File

@ -3,8 +3,10 @@ DIR=`dirname $0`
cd $DIR || exit 1
export PUPPET_GEM_VERSION="3.8.7"
export STRICT_VARIABLES="no"
echo "Running the noop tests with Puppet version: ${PUPPET_GEM_VERSION}"
../../tests/noop/noop_tests.sh -tB
../../tests/noop/setup_and_diagnostics.sh
../../tests/noop/run_globals.sh -b $@
../../tests/noop/run_all.sh -b $@
../../tests/noop/show_failed_tasks.sh -b $@

View File

@ -2,9 +2,11 @@
DIR=`dirname $0`
cd $DIR || exit 1
export PUPPET_GEM_VERSION="4.6.0"
export PUPPET_GEM_VERSION="4.5.0"
export STRICT_VARIABLES="no"
echo "Running the noop tests with Puppet version: ${PUPPET_GEM_VERSION}"
../../tests/noop/noop_tests.sh -tB
../../tests/noop/setup_and_diagnostics.sh
../../tests/noop/run_globals.sh -b $@
../../tests/noop/run_all.sh -b $@
../../tests/noop/show_failed_tasks.sh -b $@